JBoss API: Class CustomFindByEntitiesCommand

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws.bmp
Class CustomFindByEntitiesCommand

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jaws.bmp.CustomFindByEntitiesCommand

All Implemented Interfaces:
  JPMFindEntitiesCommand

public class CustomFindByEntitiesCommand
extends java.lang.Object
implements JPMFindEntitiesCommand

JAWSPersistenceManager CustomFindByEntitiesCommand. Implements bridge for custom implemented finders in container managed entity beans. These methods are called ejbFindX in the EJB implementation class, where X can be anything. Such methods are called findX in the Home interface. The EJB implementation must return a Collection of primary keys.

Version:
  $Revision: 1.3.4.3 $
Author:
  Michel de Groot
See Also:
  `JDBCFindEntitiesCommand`

Field Summary
`protected java.lang.reflect.Method` | `finderImplMethod`
`protected java.lang.String` | `name`

Constructor Summary
`CustomFindByEntitiesCommand(java.lang.reflect.Method finderMethod)` Constructs a JAWS command which can handle multiple entity finders that are BMP implemented.

Method Summary
`FinderResults` | `execute(java.lang.reflect.Method finderMethod, java.lang.Object[] args, EntityEnterpriseContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### finderImplMethod

    protected java.lang.reflect.Method finderImplMethod

### name

    protected java.lang.String name

Constructor Detail

### CustomFindByEntitiesCommand

    public CustomFindByEntitiesCommand(java.lang.reflect.Method finderMethod)
                                throws java.lang.IllegalArgumentException

  Constructs a JAWS command which can handle multiple entity finders that are BMP implemented.
  Parameters:
    `finderMethod` - the EJB finder method implementation

Method Detail

### execute

    public FinderResults execute(java.lang.reflect.Method finderMethod,
                                 java.lang.Object[] args,
                                 EntityEnterpriseContext ctx)
                          throws java.rmi.RemoteException,
                                 javax.ejb.FinderException

  Specified by:
    `execute` in interface `JPMFindEntitiesCommand`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.